GraphiQL open_in_new

# `User`

A user is an individual's account on GitHub that owns repositories and can make new content.

## GraphQL Schema definition `

- type User implements Node, Author, RepositoryOwner, UniformResourceLocatable {
- # A URL pointing to the user's public avatar.
- #
- # Arguments
- # size: The size of the resulting square
- # image.
- avatarURL(size: Int): String!
- # The user's public profile bio.
- bio: String
- # The user's public profile bio as HTML.
- bioHTML: HTML!
- # The user's public profile company.
- company: String
- # The user's public profile company as HTML.
- companyHTML: HTML!
- # A list of repositories that the user recently contributed
- # to.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- contributedRepositories(first: Int, after: String, last: Int, before: String): RepositoryConnection!
- # Identifies the date and time when the object was created.
- createdAt: DateTime!
- # Identifies the primary key from the database.
- databaseId: Int @deprecated( reason: "Exposed database IDs will eventually be removed in favor of global Relay IDs." )
- # The user's public profile email.
- email: String
- # A list of users the given user is followed by.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- followers(first: Int, after: String, last: Int, before: String): FollowerConnection!
- # A list of users the given user is following.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- following(first: Int, after: String, last: Int, before: String): FollowingConnection!
- # Find gist by repo name.
- #
- # Arguments
- # name: The gist name to find.
- gist(name: String!): Gist
- # A list of the Gists the user has created.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # visibility: Allows filtering by gist
- # visibility.
- gists(first: Int, after: String, last: Int, before: String, visibility: GistVisibility): GistConnection!
- id: ID!
- # Whether or not this user is a participant in the GitHub
- # Security Bug Bounty.
- isBountyHunter: Boolean!
- # Whether or not this user is a GitHub Developer Program
- # member.
- isDeveloperProgramMember: Boolean!
- # Whether or not this user is a GitHub employee.
- isEmployee: Boolean!
- # Whether or not the user has marked themselves as for
- # hire.
- isHireable: Boolean!
- # Whether or not this user is a site administrator.
- isSiteAdmin: Boolean!
- # Whether or not this user is the viewing user.
- isViewer: Boolean!
- # The user's public profile location.
- location: String
- # The username used to login.
- login: String!
- # The user's public profile name.
- name: String
- # Find an organization by its login that the user belongs
- # to.
- #
- # Arguments
- # login: The login of the organization
- # to find.
- organization(login: String!): Organization
- # A list of organizations the user belongs to.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- organizations(first: Int, after: String, last: Int, before: String): OrganizationConnection!
- # The HTTP path for this user
- path: URI!
- # A list of repositories this user has pinned to their
- # profile
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- pinnedRepositories(first: Int, after: String, last: Int, before: String): RepositoryConnection!
- # A list of pull requests assocated with this user.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # states: A list of states to filter
- # the pull requests by.
- # labels: A list of label names to filter
- # the pull requests by.
- # headRefName: The head ref name to
- # filter the pull requests by.
- # baseRefName: The base ref name to
- # filter the pull requests by.
- pullRequests(first: Int, after: String, last: Int, before: String, states: [PullRequestState!], labels: [String!], headRefName: String, baseRefName: String): PullRequestConnection!
- # A list of repositories that the user owns.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # privacy: If non-null, filters repositories
- # according to privacy
- # isFork: If non-null, filters repositories
- # according to whether they are forks of another repository
- # orderBy: Ordering options for repositories
- # returned from the connection
- repositories(first: Int, after: String, last: Int, before: String, privacy: RepositoryPrivacy, isFork: Boolean, orderBy: RepositoryOrder): RepositoryConnection!
- # Find Repository.
- #
- # Arguments
- # name: Name of Repository to find.
- repository(name: String!): Repository
- # Repositories the user has starred.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # ownedByViewer: Filters starred repositories
- # to only return repositories owned by the viewer.
- # orderBy: Order for connection
- starredRepositories(first: Int, after: String, last: Int, before: String, ownedByViewer: Boolean, orderBy: StarOrder): StarredRepositoryConnection!
- # Identifies the date and time when the object was last
- # updated.
- updatedAt: DateTime!
- # The HTTP url for this user
- url: URI!
- # Whether or not the viewer is able to follow the user.
- viewerCanFollow: Boolean!
- # Whether or not this user is followed by the viewer.
- viewerIsFollowing: Boolean!
- # A list of repositories the given user is watching.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- watching(first: Int, after: String, last: Int, before: String): RepositoryConnection!
- # A URL pointing to the user's public website/blog.
- websiteURL: String
- }

`